﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace ListFiles
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length < 1)
            {
                Console.WriteLine("You have to provide directory");
                Console.WriteLine(@"Example ListFiles.exe c:\test");
                Console.WriteLine("To return only specific file types use second argument");
                Console.WriteLine(@"Example ListFiles.exe c:\test txt");
            }
            else
            {
                try
                {
                    Console.WriteLine(args[0]);
                    DirectoryInfo di = new DirectoryInfo(args[0]);
                    FileInfo[] files = null;
                    if (args.Length == 1) {
                        files = di.GetFiles();
                    } else if (args.Length == 2)  {
                        files = di.GetFiles("*." + args[1]);
                    }
                    if (files != null && files.Length > 0)
                    {
                        foreach (FileInfo file in files)
                        {
                            Console.WriteLine(file.Name + " " + file.CreationTime);
                        }
                    }
                    else
                    {
                        Console.WriteLine("No files");
                    }
                }
                catch (Exception ex)
                {
                    Console.WriteLine("Exception occured");
                    Console.WriteLine(ex.Message);
                    Console.WriteLine();
                }
            }

            Console.ReadLine();
        }
    }
}
